## org.junit
Class AssumptionViolatedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.junit.internal.AssumptionViolatedException
                      org.junit.AssumptionViolatedException

All Implemented Interfaces:
  Serializable, SelfDescribing

    public class AssumptionViolatedException

extends org.junit.internal.AssumptionViolatedException

An exception class used to implement assumptions (state in which a given test is meaningful and should or should not be executed). A test for which an assumption fails should not generate a test case failure.

Since:
  4.12
See Also:
  `Assume`, Serialized Form

Constructor Summary
`AssumptionViolatedException(String message)` An assumption exception with the given message only.
`AssumptionViolatedException(String message, Throwable t)` An assumption exception with the given message and a cause.
`AssumptionViolatedException(String message, T expected, Matcher<T> matcher)` An assumption exception with a message with the given actual value and a matcher describing the expectation that failed.
`AssumptionViolatedException(T actual, Matcher<T> matcher)` An assumption exception with the given actual value and a matcher describing the expectation that failed.

Method Summary

Methods inherited from class org.junit.internal.AssumptionViolatedException
`describeTo, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssumptionViolatedException

    public AssumptionViolatedException(T actual,
                                       Matcher<T> matcher)

  An assumption exception with the given actual value and a matcher describing the expectation that failed.

### AssumptionViolatedException

    public AssumptionViolatedException(String message,
                                       T expected,
                                       Matcher<T> matcher)

  An assumption exception with a message with the given actual value and a matcher describing the expectation that failed.

### AssumptionViolatedException

    public AssumptionViolatedException(String message)

  An assumption exception with the given message only.

### AssumptionViolatedException

    public AssumptionViolatedException(String message,
                                       Throwable t)

  An assumption exception with the given message and a cause.

Copyright © 2002–2020 JUnit. All rights reserved.